Name: rhs-hadoop
Version: 2.3.2
# release number is automatically updated when source version is the same
Release: 5%{?dist} 
License: Apache
Summary: GlusterFS Hadoop Plugin
Group: Application/File

Source0: glusterfs-hadoop-2.3.2-scm-sources.zip
Source1: maven-metadata.xml
Source2: maven-metadata.xml.md5
Source3: maven-metadata.xml.sha1
Source4: glusterfs-hadoop-2.3.2.pom.sha1
Source5: glusterfs-hadoop-2.3.2.pom
Source6: glusterfs-hadoop-2.3.2.pom.md5
Source7: glusterfs-hadoop-2.3.2.jar.md5
Source8: glusterfs-hadoop-2.3.2.jar.sha1
Source9: glusterfs-hadoop-2.3.2.jar
Source100: 20_glusterfs_hadoop_sudoers

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

# yes, this is /usr/lib even on 64-bit
%global hadoop_libdir %{_prefix}/lib/hadoop/lib

%description
The Gluster Filesystem Hadoop implementation for both Hadoop 1.x and 2.x.  This
Java plugin for Hadoop allows MapReduce and YARN to run on top of Gluster, by providing the
GlusterFileSystem (1.x) and GlusterFs (2.x) implementations.  These should be referenced
in the hadoop configuration files and loaded at runtime as the FileSystem implementation. 

%prep

%build

%install
rm -rf %{buildroot}
/bin/mkdir -p %{buildroot}%{_javadir}
/bin/mkdir -p %{buildroot}%{hadoop_libdir}
/bin/mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d

/usr/bin/install -m 644 %{SOURCE9} %{buildroot}%{_javadir}
/bin/ln -s ../../../..%{_javadir}/glusterfs-hadoop-2.3.2.jar %{buildroot}%{hadoop_libdir}/glusterfs-hadoop-2.3.2.jar

# move sudoers file to /etc/sudoers.d/
install -m 644 %{SOURCE100} %{buildroot}%{_sysconfdir}/sudoers.d/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/glusterfs-hadoop-2.3.2.jar
%{hadoop_libdir}/glusterfs-hadoop-2.3.2.jar
%{_sysconfdir}/sudoers.d/20_glusterfs_hadoop_sudoers

%changelog
* Thu Jul 10 2014 Bradley Childs 2.3.2-5
- update changelog 

* Wed Jul 9 2014 Bradley Childs 2.3.2-4
- update to bz 1115113 to remove RuntimeException

* Wed Jul 2 2014 Bradley Childs 2.3.2-3
- resipin build to include bz 1115113

* Wed Jul 2 2014 Bradley Childs 2.3.2-2
- build repairs

* Wed Jul 2 2014 Bradley Childs 2.3.2-1
- Switch to upstream hadoop-2.1.0, package renamed to org.glusterfs (for maven central)

* Wed Feb 06 2014 Jeff Vance <jvance@redhat.com> 2.1.6
- fix name from "gluster" to "glusterfs-hadoop"
- minor README updates

* Wed Feb 05 2014 Jeff Vance <jvance@redhat.com> 2.1.5-2
- installs the sudoers file. BZ 1059986

* Wed Jan 9 2014 Jay Vyas <jvyas@redhat.com> 2.1.4-1 
- rename to rhs-hadoop for release

* Fri Nov 22 2013 Jay Vyas <jvyas@rehdat.com> 2.1.4
- Initial import into the glusterfs-hadoop plugin as part of our deployment. 

* Fri May 18 2012 Anthony Towns <atowns@redhat.com> - 0.20.2-0
- Initial build
